b=8.2e-3;
rho=886;
g=9.81;
E=500*100;
eta=1.8455e-5;
e=1.602176634e-19;  % electron charge

[num,txt,raw]=xlsread('data.xls');
tf=(num(2:20,10));
vf=mean(.5/1000./tf);

tr=(num(2:20,16));
vr=mean(.5/1000./tr);

P=num(14,1);
a0=sqrt(9*eta*vf/2/rho/g);
a=sqrt(9*eta*vf/2/rho/g*(1/(1+b/P/a0)));
q=4*rho*pi*a^3*g*(vf+vr)/3/E/vf;
disp(q);
disp(q/e);
